emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nongnu] elpa/pdf-tools 0b8d47dddd 2/2: Fix: Dockerfile for ubuntu-18/20


From: ELPA Syncer
Subject: [nongnu] elpa/pdf-tools 0b8d47dddd 2/2: Fix: Dockerfile for ubuntu-18/20 needs fix-missing
Date: Thu, 21 Jul 2022 19:58:49 -0400 (EDT)

branch: elpa/pdf-tools
commit 0b8d47ddddbf2e41a446df847701d00a9de01745
Author: Vedang Manerikar <ved.manerikar@gmail.com>
Commit: Vedang Manerikar <ved.manerikar@gmail.com>

    Fix: Dockerfile for ubuntu-18/20 needs fix-missing
    
    The output on the terminal suggested using fix-missing, which seems to
    fix the sources and find the packages :)
---
 server/test/Makefile                                 | 4 ++--
 server/test/docker/templates/ubuntu-18.Dockerfile.in | 2 +-
 server/test/docker/templates/ubuntu-20.Dockerfile.in | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/server/test/Makefile b/server/test/Makefile
index 1520786afd..4946458c61 100644
--- a/server/test/Makefile
+++ b/server/test/Makefile
@@ -27,13 +27,13 @@ docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
 # Build the Dockerfile
 docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
        @echo Building target $*
-       podman build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../
+       podman image build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../ || 
exit 0
        touch $@
 
 # Run the Dockerfile
 docker/%: docker/.%.build
        @echo Running tests on target $*
-       podman run --name epdfinfo-$* epdfinfo/$*
+       podman container run --rm --name epdfinfo-$* epdfinfo/$*
 
 # Run all Dockerfiles
 docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))
diff --git a/server/test/docker/templates/ubuntu-18.Dockerfile.in 
b/server/test/docker/templates/ubuntu-18.Dockerfile.in
index f49284d054..b139c84d70 100644
--- a/server/test/docker/templates/ubuntu-18.Dockerfile.in
+++ b/server/test/docker/templates/ubuntu-18.Dockerfile.in
@@ -2,4 +2,4 @@
 FROM ubuntu:bionic
 ARG DEBIAN_FRONTEND=noninteractive
 # Need to install make, tzdata here to avoid stupid prompts when running 
package install via autobuild
-RUN apt-get update -y && apt-get install -y make tzdata
+RUN apt-get update --fix-missing -y && apt-get install -y make tzdata
diff --git a/server/test/docker/templates/ubuntu-20.Dockerfile.in 
b/server/test/docker/templates/ubuntu-20.Dockerfile.in
index 4b0d3a43ef..f650856c9f 100644
--- a/server/test/docker/templates/ubuntu-20.Dockerfile.in
+++ b/server/test/docker/templates/ubuntu-20.Dockerfile.in
@@ -2,4 +2,4 @@
 FROM ubuntu:focal
 ARG DEBIAN_FRONTEND=noninteractive
 # Need to install make, tzdata here to avoid stupid prompts when running 
package install via autobuild
-RUN apt-get update -y && apt-get install -y make tzdata
+RUN apt-get update --fix-missing -y && apt-get install -y make tzdata



reply via email to

[Prev in Thread] Current Thread [Next in Thread]